Bug 883636 - (CVE-2012-4431) CVE-2012-4431 Tomcat/JBoss Web - Bypass of CSRF prevention filter
CVE-2012-4431 Tomcat/JBoss Web - Bypass of CSRF prevention filter
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20121204,repor...
: Security
Depends On: 883675 883676 883677 883678 883680 883681 883682 883683 883684 883685 883686 883687 901240 909058 909063 912962 921794 921795 921798
Blocks: 883657 906153 956239 970481
  Show dependency treegraph
 
Reported: 2012-12-04 22:28 EST by Arun Babu Neelicattu
Modified: 2016-03-04 07:10 EST (History)
6 users (show)

See Also:
Fixed In Version: Apache Tomcat 7.0.32, Apache Tomcat 6.0.36
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-17 19:59:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Arun Babu Neelicattu 2012-12-04 22:28:01 EST
The CSRF prevention filter could be bypassed if a request was made to a protected resource without a session identifier present in the request.

Source: Tomcat security pages. [1,2]

[1] http://tomcat.apache.org/security-6.html
[2] http://tomcat.apache.org/security-7.html
Comment 8 Fedora Update System 2012-12-19 03:29:35 EST
tomcat-7.0.33-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 David Jorm 2013-02-13 00:10:13 EST
The CSRF prevention filter was introduced in tomcat 6.0.30, as noted in the changelog:

http://tomcat.apache.org/tomcat-6.0-doc/changelog.html

Red Hat Enterprise Linux 6 ships tomcat 6.0.24, and does not include the CSRF prevention filter. Therefore it is not affected by this flaw.
Comment 12 Vincent Danen 2013-02-13 18:20:09 EST
External References:

http://tomcat.apache.org/security-6.html#Fixed_in_Apache_Tomcat_6.0.36
http://tomcat.apache.org/security-7.html#Fixed_in_Apache_Tomcat_7.0.32

Statement:

This issue did not affect the versions of tomcat5 as shipped with Red Hat Enterprise Linux 5 and tomcat6 as shipped with Red Hat Enterprise Linux 6 as they did not include the CSRF prevention filter.
Comment 13 errata-xmlrpc 2013-02-19 15:30:55 EST
This issue has been addressed in following products:

  JBoss Enterprise Web Server 2.0.0

Via RHSA-2013:0265 https://rhn.redhat.com/errata/RHSA-2013-0265.html
Comment 14 errata-xmlrpc 2013-02-19 17:14:06 EST
This issue has been addressed in following products:

  JBEWS 2 for RHEL 5
  JBEWS 2 for RHEL 6

Via RHSA-2013:0268 https://rhn.redhat.com/errata/RHSA-2013-0268.html
Comment 15 errata-xmlrpc 2013-02-19 17:14:13 EST
This issue has been addressed in following products:

  JBoss Enterprise Web Server 2.0.0

Via RHSA-2013:0267 https://rhn.redhat.com/errata/RHSA-2013-0267.html
Comment 16 errata-xmlrpc 2013-02-19 17:15:07 EST
This issue has been addressed in following products:

  JBEWS 2 for RHEL 5
  JBEWS 2 for RHEL 6

Via RHSA-2013:0266 https://rhn.redhat.com/errata/RHSA-2013-0266.html
Comment 18 errata-xmlrpc 2013-03-14 12:49:22 EDT
This issue has been addressed in following products:

  JBoss Enterprise Application Platform 6.0.1

Via RHSA-2013:0648 https://rhn.redhat.com/errata/RHSA-2013-0648.html
Comment 19 errata-xmlrpc 2013-03-14 12:50:09 EDT
This issue has been addressed in following products:

  JBEAP 6 for RHEL 5
  JBEAP 6 for RHEL 6

Via RHSA-2013:0647 https://rhn.redhat.com/errata/RHSA-2013-0647.html
Comment 21 errata-xmlrpc 2013-03-20 11:59:35 EDT
This issue has been addressed in following products:

  JBoss Data Grid 6.1.0

Via RHSA-2013:0665 https://rhn.redhat.com/errata/RHSA-2013-0665.html
Comment 22 errata-xmlrpc 2013-10-16 12:55:54 EDT
This issue has been addressed in following products:

  Red Hat JBoss Portal 6.1.0

Via RHSA-2013:1437 https://rhn.redhat.com/errata/RHSA-2013-1437.html
Comment 23 errata-xmlrpc 2013-12-17 13:37:55 EST
This issue has been addressed in following products:

  Red Hat JBoss Operations Network 3.2.0

Via RHSA-2013:1853 https://rhn.redhat.com/errata/RHSA-2013-1853.html

Note You need to log in before you can comment on or make changes to this bug.